[tool.poetry]
name = "ssotools-api"
version = "0.1.0"
description = ""
authors = ["Will Webberley <will@sso.tools>"]
package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
Flask = "^3.0.3"
gunicorn = "^23.0.0"
bcrypt = "^4.2.0"
dnspython = "^2.6.1"
PyJWT = "^2.9.0"
pymongo = "^4.10.1"
pyOpenSSL = "^24.2.1"
requests = "^2.32.3"
Flask-Cors = "^5.0.0"
Werkzeug = "^3.0.4"
Flask-Limiter = "^3.8.0"

[tool.poetry.dev-dependencies]

[tool.poetry.group.dev.dependencies]
ruff = "^0.6.9"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
